package org.hso.texturesyncclient.view.mainView

import com.jfoenix.controls.JFXButton
import com.jfoenix.controls.JFXChipView
import javafx.geometry.Insets
import javafx.geometry.Orientation
import javafx.geometry.Pos
import javafx.scene.control.Label
import javafx.scene.image.Image
import javafx.scene.layout.Background
import javafx.scene.layout.BackgroundFill
import javafx.scene.layout.CornerRadii
import javafx.scene.paint.Paint
import tornadofx.*

class DetailView: View() {

    private val mvc: MainViewController by inject()

    val preview = Preview3D()
    val metaLabel = Label("Auflösung: 8MP\nName: Texture.png\nAndere: was anderes")
    val cvTags = JFXChipView<String>()
    val btnImport = JFXButton("+")

    init {
        // set a default texture
        preview.setTexture(Image("textures/sample_texture_1.jpg"))
    }

    override val root = form {
        minWidth = 250.0
        background = Background(BackgroundFill(Paint.valueOf("#9f9f9f"), CornerRadii.EMPTY, Insets.EMPTY))

        fieldset(labelPosition = Orientation.VERTICAL) {

            field{
                vbox(7) {
                    add(preview)
                }
            }

            field {
                add(metaLabel)
            }

            field {
                minHeight = 145.0
                add(cvTags)

            }

            field {
                hbox(alignment = Pos.CENTER_RIGHT) {
                    add(btnImport)
                }
            }

        }

        style {
            cvTags.minHeight = 135.0
            cvTags.paddingAll = 3.0
            cvTags.style = "-fx-background-color: #53585b; -fx-text-inner-color: #b15b2e;"

            btnImport.buttonType = JFXButton.ButtonType.RAISED
            btnImport.styleClass.add("jfx-floating-action-button");
        }

    }
}